Subject: Re: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Tue, 2 Nov 2010 16:24:14 +0100

On Tue, Nov 2, 2010 at 3:24 PM, Stefan Monnier <[email-masked]> wrote:
>>> In what way can the working display area size in pixels be
>>> incompatible? And why is using the current total display area size
>>> better (and more compatible)?
>> It's not that one or the other is better; it's that they
>> are different.
>
> Indeed, and it goes even further: if someone cares about the workarea
> enough to want to know its height and width, she may also want to know
> its *position* on the screen.  So I'm not sure convinced that
> adding display-pixel-work-height and display-pixel-work-width would be
> sufficient either.

Yes, you are right it is not enough. On w32 you get the values for the
workarea as a rectangle with the functions I pointed to. Maybe we
should have a function that return a list with the work area values
(top left right bottom) instead?